Checkbox "Control feature rendering order" is not honored

2016-02-17 12:41 PM - Sebastian Dietrich

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22311

Description

The checkbox Control feature rendering order implies the user can enable or disable the sorting by the order-by-clause shown next to it.

However the order-by-clause is used regardless of the status of this checkbox.

Reproduce:

    -  Check the checkbox

    -  Define an order by clause

    -  Uncheck the checkbox

    -  Apply the changes

    -  -> Rendering order is controlled by the order-by-clause

Associated revisions

Revision 4285d70b - 2016-02-19 12:11 AM - Nyall Dawson

Fix "feature rendering order" checkbox is not honored (fix #14323)

History

#1 - 2016-02-17 01:01 PM - Nyall Dawson

I agree that this is bad UX. It's often desirable to be able to temporarily enable/disable features like sorting without losing the sorting expression.

#2 - 2016-02-17 03:03 PM - Sebastian Dietrich

- Priority changed from Normal to High

- Subject changed from Checkbox "Control feature rendering order" is checked without user interaction to Checkbox "Control feature rendering order" is 

not honored

I agree that this is bad UX.

It is even worse. Note that I had to change the subject and description because the checkbox is completely ignored. Only the order-by-clause

determines the rendering order, regardless of the checked-state of the checkbox.

I raised the priority to Blocker because I think a new feature must not come with such a misleading UI.

#3 - 2016-02-17 03:03 PM - Sebastian Dietrich

- Priority changed from High to Severe/Regression
#4 - 2016-02-18 01:51 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes

See PR 2809 for a solution. It is just a quick fix replacing the checkbox with a label and should act as a fall-back plan in case no better solution can be

implemented before the upcoming release (7 days from now).

#5 - 2016-02-18 03:13 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4285d70b6c85b4600cf3f0e55a8408447272180c".
https://github.com/qgis/QGIS/pull/2809

